=== debian/control ===
Source: mplayer
Section: misc
Priority: optional
Maintainer: Dariush Pietrzak <eyck@ghost.anime.pl>
Standards-Version: 3.2.1
Build-Depends: libgtk1.2-dev | libgtk2.0-dev, libpng12-dev, zlib1g-dev, x-dev, libx11-dev, libxext-dev, libxinerama-dev, libxv-dev, debhelper (>= 2)

Package: mplayer
Architecture: any
Depends: ${shlibs:Depends},debconf,libconfhelper-perl
Description: The Ultimate Movie Player 
 MPlayer is a movie player for LINUX (runs on many other Unices, and non-x86
 CPUs, see the ports section). It plays most MPEG, VOB, AVI, OGG/OGM, VIVO,
 ASF/WMA/WMV, QT/MOV/MP4, FLI, RM, NuppelVideo, yuv4mpeg, FILM, RoQ, PVA files,
 supported by many native, XAnim, RealPlayer, and Win32 DLL codecs. You can
 watch VideoCD, SVCD, DVD, 3ivx, RealMedia, and DivX movies too (and you don't
 need the avifile library at all!).
 .
 Another big feature of MPlayer is the wide range of supported output drivers.
 It works with X11, Xv, DGA, OpenGL, SVGAlib, fbdev, AAlib, DirectFB, but you
 can also use GGI and SDL (and this way all their drivers) and some lowlevel
 card-specific drivers (for Matrox, 3Dfx and Radeon, Mach64, Permedia3) too!
 Most of them supports software or hardware scaling, so you can enjoy movies in
 fullscreen.
 .
 MPlayer supports displaying through some hardware MPEG decoder boards, such as
 the DVB and DXR3/Hollywood+.
 .
 And what about the nice big antialiased shaded subtitles (10 supported types)
 with European/ISO 8859-1,2 (Hungarian, English, Czech, etc), Cyrillic, Korean
 fonts, and the onscreen display (OSD)?
